roar_simple_play(3)

NAME
roar_simple_play, roar_simple_monitor, roar_simple_record, roar_simple_filter - Simple playback, monetoring, recording or filtering via RoarAudio

SYNOPSIS

#include <roaraudio.h>

int roar_simple_play(int rate, int channels, int bits, int codec, char * server, char * name);

int roar_simple_monitor(int rate, int channels, int bits, int codec, char * server, char * name);

int roar_simple_record(int rate, int channels, int bits, int codec, char * server, char * name);

int roar_simple_filter(int rate, int channels, int bits, int codec, char * server, char * name);

DESCRIPTION
Open a connection to the roard(1) and creates a new stream for playback, monetoring, recording or filtering. After you are done you need to close the connection via roar_simple_close(3). In case you just don't do anything with the stream the server will kick your connection, or, in case of playback warns the user about underruns.

Those functions was removed in version 1.0beta0-pr0. Please upgrade to VS API. See roar_vs_new_simple(3).

PARAMETERS

rate
    The sample rate of the stream.

channels
    The nummber of channels in the stream.

bits
    The number of bits per sample of the stream. Commen values are 8 and 16.

codec
    The Codec of the data you stream to the server. This has nothing to do with codec of the file you are playing back or encoding. Default (ROAR_CODEC_DEFAULT) is ROAR_CODEC_PCM_S_BE for signed PCM in big endian.

server
    The name of the server. A value of NULL (common case) is used to try default locations.

name
    The name of the process opening this stream to be listend in the servers meta data. Should normaly be the name of the player without any path or filename being played. If NULL an internal default is used.

NOTES ON FILTER STREAMS
Filtering streams should not expected to work with diffrent audio data than the server works with. You should get the values via roar_server_oinfo(3) before opening the stream.

RETURN VALUE
On success these calls return a filehandle for the stream. On error, -1 is returned.

EXAMPLES
Examples of these calls are the tools roarcat(1), roarmon(1), roarrec(1) and roarfilt(1). Just look at there code. They aren't that complex.

SEE ALSO
roar_vs_new_simple(3), roarcat(1), roarmon(1), roarrec(1), roarfilt(1), roar_server_oinfo(3), roar_simple_close(3), libroar(7), RoarAudio(7).